package me.fivevl.musicbot

import com.sedmelluq.discord.lavaplayer.player.AudioPlayer
import com.sedmelluq.discord.lavaplayer.player.AudioPlayerManager


class GuildMusicManager(manager: AudioPlayerManager) {
    var player: AudioPlayer? = null
    var scheduler: TrackScheduler? = null

    init {
        player = manager.createPlayer()
        scheduler = TrackScheduler(player)
        player?.addListener(scheduler)
    }

    fun getSendHandler(): AudioPlayerSendHandler {
        return AudioPlayerSendHandler(player)
    }
}